﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WPFTest
{
    public class SampleData
    {
        public DataSet Data { get; set; }

        public SampleData()
        {
            DataSet previewDS = new DataSet();
            

            //Top level table.
            DataTable dsTopOrders = new DataTable() { TableName = "TopOrders" };
            dsTopOrders.Columns.Add("Id", typeof(Int32));
            dsTopOrders.Columns.Add("SecurityDesc", typeof(string));
            dsTopOrders.Columns.Add("Action", typeof(string));
            dsTopOrders.Columns.Add("Quantity", typeof(decimal));
            dsTopOrders.Columns.Add("AvgPrice", typeof(decimal));

            //Add some sample data.
            DataRow dr1 = dsTopOrders.NewRow();
            dr1[0] = 1;
            dr1[1] = "AAPL Sample Option";
            dr1[2] = "Exercise";
            dr1[3] = DBNull.Value;
            dr1[4] = DBNull.Value;
            dsTopOrders.Rows.Add(dr1);

            //Child level table.
            DataTable dsChildLevel = new DataTable() { TableName = "ChildOrders" };
            dsChildLevel.Columns.Add("Id", typeof(Int32));
            dsChildLevel.Columns.Add("SecurityDesc", typeof(string));
            dsChildLevel.Columns.Add("Action", typeof(string));
            dsChildLevel.Columns.Add("Quantity", typeof(decimal));
            dsChildLevel.Columns.Add("AvgPrice", typeof(decimal));

            //Add some sample data.
            DataRow dr2 = dsChildLevel.NewRow();
            dr2[0] = 1;
            dr2[1] = "AAPL Option";
            dr2[2] = DBNull.Value;
            dr2[3] = 100;
            dr2[4] = 10;
            dsChildLevel.Rows.Add(dr2);

            DataRow dr3 = dsChildLevel.NewRow();
            dr3[0] = 1;
            dr3[1] = "AAPL";
            dr3[2] = DBNull.Value;
            dr3[3] = 100*100;
            dr3[4] = 300;
            dsChildLevel.Rows.Add(dr3);

            //Add datatables to dataset.
            previewDS.Tables.AddRange(new[] { dsTopOrders, dsChildLevel });

            DataRelation holdingOrderRelation = new DataRelation("ParentChild", dsTopOrders.Columns["Id"], dsChildLevel.Columns["Id"]);
            previewDS.Relations.Add(holdingOrderRelation);

            Data = previewDS;
        }
    }
}
